Provider Notes
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/video-synthesis/'
--header 'X-DashScope-Async: enable'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data '{
"model": "wan2.2-s2v",
"input": {
"image_url": "https://img.alicdn.com/imgextra/i3/O1CN011FObkp1T7Ttowoq4F_!!6000000002335-0-tps-1440-1797.jpg",
"audio_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250825/iaqpio/input_audio.MP3"
},
"parameters": {
"resolution": "480P"
}
}'Success response
{
"output": {
"task_status": "PENDING",
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx"
},
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx"
}Use the returned request_id to query task progress through a GET request.
curl -X GET {{BASE_URL}}/qwen/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxx
--header "Authorization: Bearer $DASHSCOPE_API_KEY"Success response
{
"output": {
"task_id": "bcae8761-f242-4775-a11e-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2025-09-01 09:37:27.468",
"scheduled_time": "2025-09-01 09:37:34.885",
"end_time": "2025-09-01 09:40:20.734",
"results": {
"video_url": "http://dashscope-result-hz.oss-cn-hangzhou.aliyuncs.com/1d/xxx.mp4?Expires=xxxxxx"
}
},
"usage": {
"duration": 18.13,
"video_count": 1,
"SR": 480
},
"request_id": "28cfedb1-cd60-9e0c-b920-xxxxxx"
}This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/face-detect'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data-raw '{
"model": "wan2.2-s2v-detect",
"input": {
"image_url": "https://img.alicdn.com/imgextra/i3/O1CN011FObkp1T7Ttowoq4F_!!6000000002335-0-tps-1440-1797.jpg"
}
}'Through the returned value
{
"output":{
"check_pass": true,
"humanoid": true
},
"usage":{
"image_count":1
},
"request_id":"c56f62df-724e-9c19-96bd-xxxxxx"
}Available Models
| Model Name | Provider note | Provider note |
|---|---|---|
| wan2.2-s2v-detect | Provider note | 0.004Provider note |
| wan2.2-s2v | Provider note | 480P:0.5Provider note |